Summary: GNOME Energy Saving Preference dialog
Name: battfink
Version: 0.6.2
Release: %mkrel 3
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/softwaremap/projects/battfink/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libapm-devel
BuildRequires: scrollkeeper
Requires: scrollkeeper

%description
This is Battfink, an Energy Saving Preference dialog with an associating
battery notification icon. 

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}-0.1 --with-gnome --all-name

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="gnome" \
	section="System/Configuration/GNOME" \
	title="Energy Saving" \
	longtitle="Configure energy saving for your system" \
	command="%{_bindir}/battfink" \
	icon="battfink.png" \
	startup_notify="false" \
        xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;X-MandrivaLinux-System-Configuration-GNOME;Settings;DesktopSettings;
ShowOnlyIn=GNOME;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/battfink.schemas > /dev/null
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%preun
if [ "$1" = "0" ]; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/battfink.schemas > /dev/null
fi

%files -f %{name}-0.1.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog TODO AUTHORS
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/servers/*
%{_datadir}/battfink
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_menudir}/*
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-3mdv2007.0
- XDG

* Wed Dec 07 2005 Lenny Cartier <lenny@mandriva.com> 0.6.2-2mdk
- rebuild

* Wed Nov 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2

* Wed Jul 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.1-1mdk
- Release 0.6.1
- Remove patch0 (merged upstream)

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6-1mdk
- Patch0 : remove generated files

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6-1mdk
- Release 0.6

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5
- Remove patch0 (merged upstream)

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4-1mdk
- First Mandrake package
- Patch0: fix ACPI crash

